import { jsx } from "react/jsx-runtime";
import { StarOfDavidIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const StarOfDavid = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "StarOfDavid", ...props, children: /* @__PURE__ */ jsx(StarOfDavidIcon, { weight: variant }) });
  }
);
StarOfDavid.displayName = "StarOfDavid";
Object.assign(StarOfDavid, { isGdsIcon: true });
export {
  StarOfDavid
};
